<?php
define('SF_ROOT_DIR', realpath(realpath('./../')));
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'lib'.DIRECTORY_SEPARATOR.'functions'.DIRECTORY_SEPARATOR.'mensajes.php');
header("Content-type: application/json; charset=utf-8");

$content = trim(file_get_contents("php://input"));
 
//Attempt to decode the incoming RAW post data from JSON.
$decoded = json_decode($content, true);
 
$_POST = $decoded;
/*
$_POST['datos']['idusuario'] = 'centrolima';
$_POST['datos']['token'] = '89nm75nh788';
*/

$j_datos = $_POST;

//$o_datos_post = json_decode($j_datos);

$o_datos = $j_datos['datos'];




function fechaDiaAbierto($idusuario){
	$o_crColaboradorBean = new ColaboradorBean();
	$o_crColaboradorBean->setUsuario($idusuario);
	
	$o_crColaboradorDP = new ColaboradorDP($o_crColaboradorBean);
	$a_o_crColaboradorDP = $o_crColaboradorDP->select();
	
	if(is_array($a_o_crColaboradorDP) && count($a_o_crColaboradorDP)){
			$idColaborador = $a_o_crColaboradorDP[0]->getIdColaborador();
			$fechaDiaAbierto 	= $o_crColaboradorDP->getFechaTransaccion($idColaborador);
	}
		
	if(isset($fechaDiaAbierto)){
        
        $matriz[$fechaDiaAbierto] = $fechaDiaAbierto;
        
        if(isset($matriz) && is_array($matriz) && count($matriz) > 0){
            $datos = '';

            $i = 1;
            while(list($key, $value) = each($matriz)){
                
                $fechaDiaAbierto = $value;
                
            }

            $datos['estado'] = '1';
            $datos['fecha_abierta'] = $fechaDiaAbierto;

            //print json_encode($datos);
            print json_encode($datos, JSON_UNESCAPED_UNICODE);
        }
    }else{
        print json_encode(array(
            "estado" => 2,
            "mensaje" => "Ha ocurrido un error"
        ));

    }
}


$idusuario 	= $o_datos['idusuario'];
$token 		= $o_datos['token'];
if($idusuario) {
    if ($token == '89nm75nh788') {
        fechaDiaAbierto($idusuario);
    }else{
        print json_encode(array(
            "estado" => 30,
            "mensaje" => "Acceso no autorizado"
        ));
    }
}else{
    print json_encode(array(
        "estado" => 30,
        "mensaje" => "Acceso no autorizado"
    ));
}

?>
